## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         scrape-schema-recipe
%global         forgeurl        https://github.com/michacochran/scrape-schema-recipe
Version:        0.2.2
%global         tag             %{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Scrape recipes from HTML into Python dictionaries

License:        Apache-2.0
URL:            %{forgeurl}
# Prepare source offline to not include files with proprietary licenses
Source0:        %{srcname}-%{version}.tar.gz
Source1:        prepare.sh
Patch:          tests_without_proprietary_licensed_data.patch

BuildRequires:  python3-devel

BuildArch: noarch

%global _description %{expand:
Scrapes recipes from HTML https://schema.org/Recipe (Microdata/JSON-LD)
into Python dictionaries.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p 1 -n %{srcname}-%{version}

rm -r scrape_schema_recipe.egg-info

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files scrape_schema_recipe -L

%check
%pyproject_check_import
#Disable tests that require network access
sed -i 's/DISABLE_NETWORK_TESTS = False/DISABLE_NETWORK_TESTS = True/g'\
    test_scrape.py
%py3_test_envvars %python3 test_scrape.py

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
 
%changelog
## START: Generated by rpmautospec
* Sun Oct 27 2024 John Doe <packager@example.com> - 0.2.2-1
- Uncommitted changes
## END: Generated by rpmautospec
